/** @defgroup group1 The First Group
 *  This is the first group
 *  @{
 */

/** public enum THESE */
enum THESE {
    THIS, ///< this one
    THAT, ///< that one
    THE_OTHER ///< the other one
    };    

/** @brief class C1 in group 1 */
class C1 {};

/** @brief class C2 */
class C2 {
/**
 *  @defgroup group2 The Second Group
 *  @ingroup group1
 *  This is the second group
 * @{
 */
public:

/** function in group 1 */
void func() {}
/** another function in group 1 */
void anotherfunc() {}
/** @} */ // end of group2
};
/** @} */ // end of group1


/** @defgroup group3 The Third Group
 *  This is the third group
 */

/** @defgroup group4 The Fourth Group
 *  @ingroup group3
 *  Group 4 is a subgroup of group 3
 */

/**
 *  @ingroup group2
 *  @brief class C3 in group 2
 */
class C3 {};

/** @ingroup group2
 *  @brief class C4 in group 2
 */
class C4 {};

/** @ingroup group3
 *  @brief class C5 in @link group3 the third group@endlink.
 */
class C5 {};

/** @ingroup group1 group2 group3 group4
 *  namespace N1 is in four groups
 *  @sa @link group1 The first group@endlink, group2, group3, group4 
 *
 *  Also see @ref mypage2
 */

/** @file
 *  @ingroup group3
 *  @brief this file in group 3
 */

/** @defgroup group5 The Fifth Group
 *  This is the fifth group
 *  @{
 */

/** @page mypage1 This is a section in group 5
 *  Text of the first section
 */

/** @page mypage2 This is another section in group 5
 *  Text of the second section
 */

/** @} */ // end of group5

/** @addtogroup group1
 *  
 *  More documentation for the first group.
 *  @{
 */

/** another function in group 1 */
void func2() {}

/** yet another function in group 1 */
void func3() {}

/** @} */ // end of addtogroup1


